Bug 1438030 - [RFE] Feature to use the 'dzdo' as the "remote_execution_effective_user_method" to run the remote commands with a non-root user.
Summary: [RFE] Feature to use the 'dzdo' as the "remote_execution_effective_user_metho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.8
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Released
Assignee: Dmitri Dolguikh
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 16:44 UTC by Deepannagaraj Nagarathinam
Modified: 2019-10-07 17:19 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution_core-1.1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:30 UTC
Foreman Issue Tracker 19130 None None None 2017-04-03 11:24:49 UTC
Red Hat Knowledge Base (Solution) 3059591 None None None 2017-05-30 07:26:30 UTC

Comment 1 Ivan Necas 2017-04-03 11:24:41 UTC
Created redmine issue http://projects.theforeman.org/issues/19130 from this bug

Comment 2 Tom McKay 2017-05-10 14:09:26 UTC
Suggest that cu may set any command to substitute sudo, where sudo is the default value.



1. Proposed title of this feature request  
      
[RFE] Feature to use the 'dzdo' as the "remote_execution_effective_user_method" to run the remote commands with a non-root user.
      
3. What is the nature and description of the request?  

-> Customer wishes to configure the Satellite server to run the remote commands with the "remote_execution_effective_user_method" as dzdo rather than "sudo".

4. Why does the customer need this? (List the business requirements here)

-> In customer's environment they have disabled the root login from SSH. As they are using the centrify server, they use the dzdo tool instead of sudo. So they need to configure remote execution with dzdo tool.

5. How would the customer like to achieve this? (List the functional requirements here)

-> Adding the feature for the dzdo tool as a "remote_execution_effective_user_method".

Comment 7 pm-sat@redhat.com 2018-04-12 20:20:15 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 8 pm-sat@redhat.com 2018-04-12 20:20:19 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 9 pm-sat@redhat.com 2018-05-16 14:17:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19130 has been resolved.

Comment 16 Peter Ondrejka 2018-11-05 13:12:56 UTC
Verified on Sat 6.5 sn 2, the dzdo option can be set in Effective User Method setting and dzdo command gets run when executing a remote job as a non-root user.

Comment 19 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.